class Punto: 
    
    def __init__(self, x=0, y=0): 
        self.x = x 
        self.y = y 
    
    def __str__(self): 
        return '(' + str(self.x) + ', ' + str(self.y) + ')' 

    def __add__(self, AltroPunto):
        return Punto(self.x + AltroPunto.x, self.y + AltroPunto.y) 

    def __sub__(self, AltroPunto):
        return Punto(self.x -AltroPunto.x, self.y -AltroPunto.y) 

    def __mul__(self, AltroPunto): 
        return self.x * AltroPunto.x + self.y * AltroPunto.y 

    def __rmul__(self, AltroPunto):
        return Punto(AltroPunto * self.x, AltroPunto * self.y) 
   
    def reverse(self): 
        self.x , self.y = self.y, self.x 

