
# Scrivere una serie di metodi per lavorare su matrici . I metodi devono leggere la matrice da file, stamparla, trovare la media, il massimo e il minimo, ecc.. 


def leggi_matrice(filename):
    """legge una matrice da file"""
    mat=[]
    with open(filename) as f:
        for line in f:
            v=line.split()
            v=[int(x) for x in v]
            mat.append(v)
    return mat

def stampa_matrice(matrice):
    """stampa una matrice"""
    for riga in matrice:
        for val in riga:
            print val,' ',
        print ''
    
    #versione alternativa
    for i in range(len(matrice)):
        for j in range(len(matrice[i])):
            print matrice[i][j],' ',
        print ''

def trova_media(mat):
    """restituisce il valore medio in una matrice"""
    v=0
    for riga in mat:
        for val in riga:
            v+=val
    
    return v/(len(mat)*len(mat[0]))

def trova(mat, ismax=True):
    '''restituisce il massimo se ismax=True else il minimo'''
    v=mat[0][0]
    for riga in mat:
        for val in riga:
            if ismax:
                if val>v: 
                    v=val
            elif val<v:
                v=val
    return v


if __name__ == '__main__':
    mat=leggi_matrice('file_matrice.txt')
    stampa_matrice(mat)
    print 'media=',trova_media(mat)
    print 'max=',trova(mat)
    print 'min=',trova(mat,False)
    